# Retrieve a users list for given search criteria Endpoint: GET /users Version: 2.51.0 Security: OAuth2 ## Query parameters: - `search` (string) - `active` (boolean) - `roles` (array) Enum: "installationAdmin", "installationClerk", "admin", "clerk", "manager", "supportSpecialist" - `limit` (integer) - `offset` (integer) ## Response 200 fields (application/json): - `data` (array, required) - `data.id` (string, required) Example: "660572bc7a3cd6803f112252" - `data.email` (string, required) Example: "firstname.lastname@company.inc" - `data.name` (string, required) Example: "Firstname Lastname" - `data.companiesAccess` (array, required) - `data.companiesAccess.companyId` (string, required) Example: "660572bc7a3cd6803f112252" - `data.companiesAccess.companyName` (string, required) Example: "Company Inc." - `data.companiesAccess.active` (boolean, required) Example: true - `data.companiesAccess.createdAt` (string, required) Example: "2023-03-28T15:46:19.384990Z" - `data.companiesAccess.roles` (array, required) Enum: "installationAdmin", "installationClerk", "admin", "clerk", "manager", "supportSpecialist" - `data.isInternal` (boolean, required) - `totalCount` (integer, required) - `limit` (integer, required) - `offset` (integer, required) ## Response 401 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 403 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 404 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 500 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error